Package org.springframework.context.event

# Class EventListenerMethodProcessor

java.lang.Object
org.springframework.context.event.EventListenerMethodProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.config.BeanFactoryPostProcessor`, `org.springframework.beans.factory.SmartInitializingSingleton`, `ApplicationContextAware`

public class EventListenerMethodProcessor extends Object implements org.springframework.beans.factory.SmartInitializingSingleton, ApplicationContextAware, org.springframework.beans.factory.config.BeanFactoryPostProcessor
Registers `EventListener` methods as individual `ApplicationListener` instances. Implements `BeanFactoryPostProcessor` (as of 5.1) primarily for early retrieval, avoiding AOP checks for this processor bean and its `EventListenerFactory` delegates.

Since:
  4.2
Author:
  Stephane Nicoll, Juergen Hoeller, Sebastien Deleuze
See Also:
  - `EventListenerFactory`
  - `DefaultEventListenerFactory`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`EventListenerMethodProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterSingletonsInstantiated()`
`void`
`postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
`void`
`setApplicationContext(ApplicationContext applicationContext)`
Set the ApplicationContext that this object runs in.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger

## Constructor Details

### EventListenerMethodProcessor

public EventListenerMethodProcessor()

## Method Details

### setApplicationContext

public void setApplicationContext(ApplicationContext applicationContext)
Description copied from interface: `ApplicationContextAware`
Set the ApplicationContext that this object runs in. Normally this call will be used to initialize the object.

Invoked after population of normal bean properties but before an init callback such as `InitializingBean.afterPropertiesSet()` or a custom init-method. Invoked after `ResourceLoaderAware.setResourceLoader(org.springframework.core.io.ResourceLoader)`, `ApplicationEventPublisherAware.setApplicationEventPublisher(org.springframework.context.ApplicationEventPublisher)` and `MessageSourceAware`, if applicable.

Specified by:
  `setApplicationContext` in interface `ApplicationContextAware`
Parameters:
  `applicationContext` - the ApplicationContext object to be used by this object
See Also:
  - `BeanInitializationException`

### postProcessBeanFactory

public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)

Specified by:
  `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`

### afterSingletonsInstantiated

public void afterSingletonsInstantiated()

Specified by:
  `afterSingletonsInstantiated` in interface `org.springframework.beans.factory.SmartInitializingSingleton`